<?php

class AVForums_Competitions_ViewPublic_View extends XenForo_ViewPublic_Base
{
	public function renderHtml()
	{
		$bbCodeParser = XenForo_BbCode_Parser::create(XenForo_BbCode_Formatter_Base::create('Base', array('view' => $this)));

		$this->_params['competition']['textHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['competition_text'], $bbCodeParser);
		$this->_params['competition']['hintHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['question_hint'], $bbCodeParser);
		$this->_params['competition']['submitHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['submit_text'], $bbCodeParser);
		$this->_params['competition']['marketingHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['marketing_message'], $bbCodeParser);
		$this->_params['competition']['restrictionsHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['restrictions'], $bbCodeParser);

		$this->_params['competition']['thumbCaptionHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['thumb_caption'], $bbCodeParser);
		$this->_params['competition']['image1CaptionHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['image1_caption'], $bbCodeParser);
		$this->_params['competition']['image2CaptionHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['image2_caption'], $bbCodeParser);
		$this->_params['competition']['image3CaptionHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['image3_caption'], $bbCodeParser);
		$this->_params['competition']['image4CaptionHtml'] = new XenForo_BbCode_TextWrapper($this->_params['competition']['image4_caption'], $bbCodeParser);
	}
}